Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.event
Class SyntheticEvent<H extends EventHandler,E extends GwtEvent<? extends EventHandler>>

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>

Direct Known Subclasses:
  SyntheticMouseGestureEvent, SyntheticTouchGestureEvent

    public abstract class SyntheticEvent<H extends EventHandler,E extends GwtEvent<? extends EventHandler>>

extends GwtEvent<H>

The base class for all events which are synthesized from other `GwtEvent`s. A `SyntheticEvent` is parameterized by the event handler type that handles it and the event type that triggers it.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`protected` | `SyntheticEvent(E sourceEvent)` Creates a new `SyntheticEvent` with the specified source event from which it was synthesized.

Method Summary
`E` | `getSourceEvent()` Returns the event that caused this event to be synthesized.

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, dispatch, getAssociatedType, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyntheticEvent

    protected SyntheticEvent(E sourceEvent)

  Creates a new `SyntheticEvent` with the specified source event from which it was synthesized.

Method Detail

### getSourceEvent

    public E getSourceEvent()

  Returns the event that caused this event to be synthesized.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD